# Interface WorksEvent

所有事件的基础接口

interface WorksEvent {
defaultPrevented: boolean;
input: any;
timeStamp: number;
type: string;
userAction: boolean;
works: Works;
preventDefault(): void;
}

#### Hierarchy (View Summary)

- BaseEvent
  - WorksEvent

- Defined in lib/five/utils/event.ts:194

##### Index

### Properties

defaultPrevented
input
timeStamp
type
userAction
works

### Methods

preventDefault

## Properties

### `Readonly` defaultPrevented

defaultPrevented: boolean

是否已调用过 preventDefault

Inherited from BaseEvent.defaultPrevented

- Defined in lib/five/utils/event.ts:23

### input

input: any

- Defined in lib/five/utils/event.ts:195

### timeStamp

timeStamp: number

事件触发时的时间戳

Inherited from BaseEvent.timeStamp

- Defined in lib/five/utils/event.ts:19

### type

type: string

事件类型名称

Inherited from BaseEvent.type

- Defined in lib/five/utils/event.ts:17

### userAction

userAction: boolean

- Defined in lib/five/utils/event.ts:197

### works

works: Works

- Defined in lib/five/utils/event.ts:196

## Methods

### preventDefault

- preventDefault(): void

  阻止事件的默认行为

  #### Returns void

  Inherited from BaseEvent.preventDefault

  - Defined in lib/five/utils/event.ts:21